Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.form
Class TestBean

    java.lang.Object
      com.tonbeller.wcf.form.TestBean

public class TestBean
extends java.lang.Object

Bean containing test data

Author:
  av

Constructor Summary
`TestBean()`

Method Summary
`java.util.Date` | `getDateTimeValue()`
`java.util.Date` | `getDateValue()` Returns the dateValue.
`double` | `getDoubleValue()` Returns the doubleValue.
`int` | `getDynList()` Returns the dynList.
`org.apache.commons.fileupload.FileItem` | `getFileItem()`
`int` | `getIntValue()` Returns the intValue.
`int` | `getList1()` Returns the list1.
`int[]` | `getListN()` Returns the listN.
`java.lang.String` | `getPassword()` Returns the password.
`java.lang.String` | `getStringValue()` Returns the stringValue.
`java.lang.String` | `getTextArea()` Returns the textArea.
`java.lang.String` | `getUploadInfo()`
`boolean` | `isCheckBox1()` Returns the checkBox1.
`boolean` | `isCheckBox2()` Returns the checkBox2.
`boolean` | `isRadioButton1()` Returns the radioButton1.
`boolean` | `isRadioButton2()` Returns the radioButton2.
`void` | `setCheckBox1(boolean checkBox1)` Sets the checkBox1.
`void` | `setCheckBox2(boolean checkBox2)` Sets the checkBox2.
`void` | `setDateTimeValue(java.util.Date dateTimeValue)`
`void` | `setDateValue(java.util.Date dateValue)` Sets the dateValue.
`void` | `setDoubleValue(double doubleValue)` Sets the doubleValue.
`void` | `setDynList(int dynList)` Sets the dynList.
`void` | `setFileItem(org.apache.commons.fileupload.FileItem fileItem)`
`void` | `setIntValue(int intValue)` Sets the intValue.
`void` | `setList1(int list1)` Sets the list1.
`void` | `setListN(int[] listN)` Sets the listN.
`void` | `setPassword(java.lang.String password)` Sets the password.
`void` | `setRadioButton1(boolean radioButton1)` Sets the radioButton1.
`void` | `setRadioButton2(boolean radioButton2)` Sets the radioButton2.
`void` | `setStringValue(java.lang.String stringValue)` Sets the stringValue.
`void` | `setTextArea(java.lang.String textArea)` Sets the textArea.
`void` | `testActionReference(RequestContext context)` this method is called when the user presses a button and the requested validation succeeded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestBean

    public TestBean()

Method Detail

### testActionReference

    public void testActionReference(RequestContext context)

  this method is called when the user presses a button and the requested validation succeeded. This means, that all properties have their new values from user input.

  The method name is specified by the `actionReference` attribute of the DOM element representing the button.

  Parameters:
    `context` -

### isCheckBox1

    public boolean isCheckBox1()

  Returns the checkBox1.

  Returns:
    boolean

### isCheckBox2

    public boolean isCheckBox2()

  Returns the checkBox2.

  Returns:
    boolean

### getDateValue

    public java.util.Date getDateValue()

  Returns the dateValue.

  Returns:
    Date

### getIntValue

    public int getIntValue()

  Returns the intValue.

  Returns:
    int

### getList1

    public int getList1()

  Returns the list1.

  Returns:
    int

### getListN

    public int[] getListN()

  Returns the listN.

  Returns:
    int[]

### getPassword

    public java.lang.String getPassword()

  Returns the password.

  Returns:
    String

### getStringValue

    public java.lang.String getStringValue()

  Returns the stringValue.

  Returns:
    String

### getTextArea

    public java.lang.String getTextArea()

  Returns the textArea.

  Returns:
    String

### setCheckBox1

    public void setCheckBox1(boolean checkBox1)

  Sets the checkBox1.

  Parameters:
    `checkBox1` - The checkBox1 to set

### setCheckBox2

    public void setCheckBox2(boolean checkBox2)

  Sets the checkBox2.

  Parameters:
    `checkBox2` - The checkBox2 to set

### setDateValue

    public void setDateValue(java.util.Date dateValue)

  Sets the dateValue.

  Parameters:
    `dateValue` - The dateValue to set

### setIntValue

    public void setIntValue(int intValue)

  Sets the intValue.

  Parameters:
    `intValue` - The intValue to set

### setList1

    public void setList1(int list1)

  Sets the list1.

  Parameters:
    `list1` - The list1 to set

### setListN

    public void setListN(int[] listN)

  Sets the listN.

  Parameters:
    `listN` - The listN to set

### setPassword

    public void setPassword(java.lang.String password)

  Sets the password.

  Parameters:
    `password` - The password to set

### setStringValue

    public void setStringValue(java.lang.String stringValue)

  Sets the stringValue.

  Parameters:
    `stringValue` - The stringValue to set

### setTextArea

    public void setTextArea(java.lang.String textArea)

  Sets the textArea.

  Parameters:
    `textArea` - The textArea to set

### isRadioButton1

    public boolean isRadioButton1()

  Returns the radioButton1.

  Returns:
    boolean

### isRadioButton2

    public boolean isRadioButton2()

  Returns the radioButton2.

  Returns:
    boolean

### setRadioButton1

    public void setRadioButton1(boolean radioButton1)

  Sets the radioButton1.

  Parameters:
    `radioButton1` - The radioButton1 to set

### setRadioButton2

    public void setRadioButton2(boolean radioButton2)

  Sets the radioButton2.

  Parameters:
    `radioButton2` - The radioButton2 to set

### getDoubleValue

    public double getDoubleValue()

  Returns the doubleValue.

  Returns:
    double

### setDoubleValue

    public void setDoubleValue(double doubleValue)

  Sets the doubleValue.

  Parameters:
    `doubleValue` - The doubleValue to set

### getDynList

    public int getDynList()

  Returns the dynList.

  Returns:
    int

### setDynList

    public void setDynList(int dynList)

  Sets the dynList.

  Parameters:
    `dynList` - The dynList to set

### getDateTimeValue

    public java.util.Date getDateTimeValue()

### setDateTimeValue

    public void setDateTimeValue(java.util.Date dateTimeValue)

### getFileItem

    public org.apache.commons.fileupload.FileItem getFileItem()

### setFileItem

    public void setFileItem(org.apache.commons.fileupload.FileItem fileItem)

### getUploadInfo

    public java.lang.String getUploadInfo()
                                   throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD